> This page is for API, version Beta.
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt
> - Beta: https://developer.deel.com/api/beta/llms.txt
> - Deprecated: https://developer.deel.com/api/deprecated/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Changelog

## November 18, 2026

## Added

* **Apps** → [Create the listing of an app](/api/reference/endpoints/apps/create-app-listing-v-2026-11-18): Endpoint is now available, which allows to create the App Store listing of an app.

## Changed

* **People** → [Create a person without a contract](/api/reference/endpoints/people/create-person-without-contract): Added `org_structures` in the request body that allows assigning organization structure positions to the person.

* **Users** → [List users](/api/reference/endpoints/users/get-users): Added `leaveType`, `leaveStartDate`, and `leaveEndDate` to the response, providing the leave category and date range for workers currently on approved time off.

* **Users** → [Retrieve a single User](/api/reference/endpoints/users/get-user-by-id): Added `leaveType`, `leaveStartDate`, and `leaveEndDate` in the response that expose the worker's current leave category and leave period start and end dates.

* **Immigration** → [Create an immigration case for a worker](/api/reference/endpoints/immigration/create-case-v-2026-11-04): Added `worker_invitation` to the request body that allows inviting a person not yet on Deel as a worker when opening a business visa eligibility check.

## November 17, 2026

## Added

* **Apps** → [Submit the listing of an app for review](/api/reference/endpoints/apps/submit-app-listing-v-2026-11-17): Endpoint is now available, which allows to submit the draft revision of an app's listing to Deel for review.

* **Apps** → [Update the listing of an app](/api/reference/endpoints/apps/update-app-listing-v-2026-11-17): Endpoint is now available, which allows to update the App Store listing of an app.

## Changed

* **Ats** → [Retrieve the ATS activity timeline](/api/reference/endpoints/ats/retrieve-a-list-of-ats-operation-history-logs-v-2026-10-28): Added `LOCATION_COMPENSATION_CREATED`, `LOCATION_COMPENSATION_UPDATED`, `LOCATION_COMPENSATION_DELETED`, `SCREENING_VERDICT_OVERRIDE_CREATED`, `SCREENING_VERDICT_OVERRIDE_UPDATED`, and `SCREENING_VERDICT_OVERRIDE_DELETED` as valid values for `operation_type` in the response.

* **Ats Job Postings** → [Retrieve ATS job posting](/api/reference/endpoints/ats-job-postings/retrieve-ats-job-posting): Added `period_slug` to `compensation`, `location_compensations` to `job`, and `job_location_id` to `publications` items in the response.

* **Ats Job Postings** → [Retrieve a list of ATS job postings](/api/reference/endpoints/ats-job-postings/retrieve-a-list-of-ats-job-postings): Added `period_slug` to `compensation`, `location_compensations` to `job`, and `job_location_id` to `publications` items in the response.

* **Contracts** → [List of contracts](/api/reference/endpoints/contracts/get-contracts): Added `waiting_for_legal_review` and `waiting_for_provider_sign` as valid values for `status` in the response. Added `waiting_for_approval`, `waiting_for_legal_review`, and `waiting_for_hris_employee_sign` as valid values for the `statuses` query parameter.

* **Contracts** → [Retrieve a single contract](/api/reference/endpoints/contracts/get-contract): Added `waiting_for_legal_review`, `waiting_for_provider_sign`, and `waiting_for_hris_employee_sign` as valid values for `status` in the response.

* **Immigration** → [List case notes](/api/reference/endpoints/immigration/list-case-notes-v-2026-08-10): Added `CLIENT_SHARED` as a valid value for `note_type` in the response.

* **Time Off** → [Get Work Schedule and Holidays](/api/reference/endpoints/time-off/get-time-off-dailies): Added `ATLAS` as a valid value for `source` in the response.

## November 16, 2026

## Changed

* **Users** → [List users](/api/reference/endpoints/users/get-users): Added `entity` and `seniorityLevel` fields to the response that provide the worker's legal entity and seniority level.

## November 13, 2026

## Added

* **Time Tracking Shifts** → [Create a shift for a contract](/api/reference/endpoints/time-tracking-shifts/create-shift-v-2026-11-13): Endpoint is now available, which allows to record time a worker spent on a contract from an external time or workforce system so the hours reach approval and payroll without manual entry.

* **Time Tracking Shifts** → [List shifts in an organization](/api/reference/endpoints/time-tracking-shifts/list-shifts-v-2026-11-13): Endpoint is now available, which allows to list shifts recorded on an organization's contracts for a period.

* **Time Tracking Shifts** → [Get a shift by ID](/api/reference/endpoints/time-tracking-shifts/get-shift-v-2026-11-13): Endpoint is now available, which allows to retrieve a single shift by its ID and check its current approval state.

* **Time Tracking Shifts** → [Update a shift](/api/reference/endpoints/time-tracking-shifts/update-shift-v-2026-11-13): Endpoint is now available, which allows to correct a shift recorded on a contract before its payroll period closes.

* **Time Tracking Shifts** → [Delete a shift](/api/reference/endpoints/time-tracking-shifts/delete-shift-v-2026-11-13): Endpoint is now available, which allows to remove a shift that should not have been recorded, before payroll closes its period.

* **Organizations** → [Remove admins from child organizations](/api/reference/endpoints/organizations/remove-child-organization-admins-v-2026-11-13): Endpoint is now available, which allows to remove multiple admins from child organizations in one call.

## Changed

* **Time Off** → [Get Profile Entitlements](/api/reference/endpoints/time-off/get-time-off-entitlements): Added `country_data` in the response that provides country-specific entitlement data, including Panama vacation cycle dates and earned vacation days.

* **Eor Contract** → [Update EOR Contract](/api/reference/endpoints/eor-contract/update-e-o-r-contract): Added `dob` to the request body that provides the employee's date of birth.

* **Accounting** → [Get invoice by id](/api/reference/endpoints/accounting/get-invoice-by-id-v-2026-01-01): Added `EOR_COMMISSION` as a valid value for `line_items[].type` in the response.

* **Time Off** → [Retrieve policy validation templates](/api/reference/endpoints/time-off/get-time-off-policy-validation-templates): Added `ALLOWED_WITH_INTERRUPTION` as a valid value for `overlap_request_type` in the response; added `interrupting_policy_type_codes` to the response that lists policy type codes whose approved requests interrupt this policy; added `WORK_SCHEDULE` as a valid value for `accrual_type` in `policy_allowances`; added `PRORATE_PUBLIC_HOLIDAYS` as a valid value for `accrual_prorate_types` in `policy_allowances`.

## November 12, 2026

## Added

* **Apps** → [Retrieve the listing of an app](/api/reference/endpoints/apps/get-app-listing-v-2026-11-12): Endpoint is now available, which allows to retrieve the App Store listing of an app, including its publication status, latest revision, and reviewer notes.

* **Organizations** → [Update a child organization bank account](/api/reference/endpoints/organizations/set-default-child-organization-payment-method-v-2026-11-12): Endpoint is now available, which allows to set a verified bank account as the default payment method for a child organization.

* **Organizations** → [Delete a child organization bank account](/api/reference/endpoints/organizations/delete-child-organization-payment-method-v-2026-11-12): Endpoint is now available, which allows to remove a bank account from a child organization.

* **Organizations** → [Retrieve a child organization bank account](/api/reference/endpoints/organizations/get-child-organization-payment-method-v-2026-11-12): Endpoint is now available, which allows to retrieve the details of a child organization's bank account, including its status, whether it is the default for debits, and whether it can be removed.

* **Organizations** → [List child organization bank accounts](/api/reference/endpoints/organizations/list-child-organization-payment-methods-v-2026-11-12): Endpoint is now available, which allows to list the active bank accounts of a child organization with masked details and verification status.

* **Organizations** → [Create a child organization bank account](/api/reference/endpoints/organizations/create-child-organization-payment-method-v-2026-11-12): Endpoint is now available, which allows to add a US bank account (ACH direct debit) to a child organization and activate it via micro-deposit verification.

* **Organizations** → [Verify a child organization bank account](/api/reference/endpoints/organizations/verify-child-organization-payment-method-v-2026-11-12): Endpoint is now available, which allows to verify a child organization bank account by confirming the two micro-deposit amounts.

## Changed

* **Time Off** → [List time-off requests for Organization](/api/reference/endpoints/time-off/list-time-off-requests-for-organization-v-2026-01-01): Added `CLIENT_INPUTS_FILE` as a valid value for `time_off_origin` in the response.

* **Candidates** → [Add Candidate](/api/reference/endpoints/candidates/add-candidate-v-2026-01-01): Added `team_id` in the request that allows specifying the team for the candidate; when omitted or null, the default team is used.

## November 11, 2026

## Changed

* **Off Cycle** → [Add off-cycle payment](/api/reference/endpoints/off-cycle/create-contract-off-cycle-payment): Added `disable_withholding_tax` to the request body that, when true, prevents the contract's withholding tax from being applied to this off-cycle payment.

* **Time Off** → [Get Policies for Organization](/api/reference/endpoints/time-off/get-policies-for-organization-v-2026-09-09): Added `WORK_SCHEDULE` as a valid value for `accrual_type` in the response; added `ALLOWED_WITH_INTERRUPTION` as a valid value for `overlap_request_type` in the response; added `interrupting_policy_type_codes` in the response that lists the policy type codes whose approved requests interrupt requests of this policy.

* **Time Off** → [List policies](/api/reference/endpoints/time-off/get-time-off-policies): Added `WORK_SCHEDULE` as a valid value for `accrual_type` in the response; added `ALLOWED_WITH_INTERRUPTION` as a valid value for `overlap_request_type` in the response; added `interrupting_policy_type_codes` in the response that lists the policy type codes whose approved requests interrupt requests of this policy.

## November 10, 2026

## Added

* **Apps** → [List App Store categories](/api/reference/endpoints/apps/list-app-store-categories-v-2026-11-10): Endpoint is now available, which allows to list App Store categories and their identifiers for use when configuring a listing.

* **Apps** → [List apps](/api/reference/endpoints/apps/list-apps-v-2026-11-10): Endpoint is now available, which allows to list the integration apps that belong to your organization.

* **Apps** → [Retrieve an app](/api/reference/endpoints/apps/get-app-by-id-v-2026-11-10): Endpoint is now available, which allows to retrieve a single integration app that belongs to your organization.

* **Apps** → [Update an app](/api/reference/endpoints/apps/update-app-by-id-v-2026-11-10): Endpoint is now available, which allows to update an integration app's name, description, website, or redirect URLs.

* **Apps** → [Enable an app](/api/reference/endpoints/apps/enable-app-by-id-v-2026-11-10): Endpoint is now available, which allows to enable an integration app that belongs to your organization so it can obtain tokens again.

* **Apps** → [Disable an app](/api/reference/endpoints/apps/disable-app-by-id-v-2026-11-10): Endpoint is now available, which allows to disable an integration app that belongs to your organization so it can no longer obtain tokens, revoking all consents and tokens issued to it.

* **Time Tracking Shifts** → [Update multiple shifts](/api/reference/endpoints/time-tracking-shifts/update-multiple-shifts-v-2026-11-10): Endpoint is now available, which allows to update multiple shifts of a single Global Payroll contract in bulk.

* **Immigration** → [Get the worker onboarding case](/api/reference/endpoints/immigration/get-worker-onboarding-case-v-2026-11-10): Endpoint is now available, which allows to retrieve the newest onboarding immigration case of the worker behind the token.

* **Immigration** → [Get a case](/api/reference/endpoints/immigration/get-case-v-2026-11-10): Endpoint is now available, which allows to retrieve a single immigration case by its unique identifier.

* **Immigration** → [List immigration cases](/api/reference/endpoints/immigration/list-cases-v-2026-11-10): Endpoint is now available, which allows to list immigration cases the token can see, newest first.

* **Immigration** → [Upload documents for a document request](/api/reference/endpoints/immigration/upload-document-request-documents-v-2026-11-10): Endpoint is now available, which allows to upload files for a pending compliance document request.

* **Immigration** → [Get the case document request](/api/reference/endpoints/immigration/get-case-document-request-v-2026-11-10): Endpoint is now available, which allows to retrieve the compliance document request for an immigration case, including the document details and status.

* **Immigration** → [Get a document](/api/reference/endpoints/immigration/get-document): Endpoint is now available, which allows to retrieve an immigration document, follow its review status, or download it.

## Changed

* **Adjustments** → [Retrieve an adjustment](/api/reference/endpoints/adjustments/get-contract-adjustment): Added `deel_review` in the response that provides the latest Deel review outcome for an EOR adjustment, including review status, reason, and reviewer details.

* **Ats Jobs** → [Retrieve a list of ATS jobs](/api/reference/endpoints/ats-jobs/retrieve-a-list-of-ats-jobs): Added `hiring_member_role_ids` as a query parameter that narrows `hiring_member_hou_ids` results to jobs where those people hold specific roles.

* **Immigration** → [List visa types](/api/reference/endpoints/immigration/get-visa-types): Added `sponsorship`, `visa_category`, and `estimated_timeline` response fields that indicate who can sponsor the visa, its category (work permit or business visa), and the estimated processing time.

* **Eor Amendments** → [Submit contract amendment for review](/api/reference/endpoints/eor-amendments/confirm-contract-amendment): Added `SOLVE_LEGAL` and `LEGAL_JIRA_REOPENED` as valid values for `legal_context.status` in the response.

## November 9, 2026

## Added

* **Contractors** → [Create an engagement](/api/reference/endpoints/contractors/create-engagement-v-2026-01-01): Endpoint is now available, which allows to create an IC contract, apply the client signature, and invite the worker in one idempotent call.

## Changed

* **Onboarding** → [List onboarding employees](/api/reference/endpoints/onboarding/list-onboarding-employees-v-2026-01-01): Added `owner` to each checklist step in the response indicating who acts on the step (the client, the worker, or Deel), and `is_current` to each contract indicating whether the contract is the focus of the overview.

* **Onboarding** → [Get onboarding details by employee HRIS profile ID](/api/reference/endpoints/onboarding/get-onboarding-details-by-employee-hris-profile-id-v-2026-01-01): Added `owner` in the response that indicates who acts on each checklist step.

* **Onboarding** → [Get onboarding details by onboarding tracker ID](/api/reference/endpoints/onboarding/get-onboarding-details-by-onboarding-tracker-id-v-2026-01-01): Added `owner` in the response that indicates who acts on each checklist step.

## November 6, 2026

## Changed

* **It Orders** → [Retrieve an IT order](/api/reference/endpoints/it-orders/retrieve-an-it-order-v-2026-01-01): Added `delivery_estimate` in the response that provides the estimated delivery date range for items still pending delivery.

* **Time Off** → [Get Policies for Organization](/api/reference/endpoints/time-off/get-policies-for-organization-v-2026-09-09): Added `hourly_entitlement_amount`, `hourly_accrual_based_on`, `hourly_accrual_mode`, and `max_accrual_per_tracking_period` in the response that expose hourly accrual settings for each policy allowance; added `Strike` as a valid value for the `policy_type` query parameter.

* **Time Off** → [List policies](/api/reference/endpoints/time-off/get-time-off-policies): Added `hourly_entitlement_amount`, `hourly_accrual_based_on`, `hourly_accrual_mode`, and `max_accrual_per_tracking_period` in the response that provide hourly accrual settings for each policy allowance.

* **Time Off** → [Get Profile Entitlements](/api/reference/endpoints/time-off/get-time-off-entitlements): Added `Strike` as a valid value for `policy_type_name` in the request.

* **Time Off** → [Process time-off requests from an external HRIS](/api/reference/endpoints/time-off/sync-time-off-global-payroll): Added `Strike` as a valid value for `policy_type` in the request.

* **Time Off** → [List time-off requests for Organization](/api/reference/endpoints/time-off/list-time-off-requests-for-organization-v-2026-01-01): Added `Strike` as a valid value for `policy_type_names` in the request.

* **Time Off** → [List time-off requests](/api/reference/endpoints/time-off/get-time-off-profile): Added `Strike` as a valid value for `policy_type_names` in the request.

## November 5, 2026

## Added

* **Api Tokens** → [Retrieve an API token](/api/reference/endpoints/api-tokens/get-api-token-v-2026-11-05): Endpoint is now available, which allows to retrieve an API token by its identifier, without exposing its secret value.

* **Api Tokens** → [Invalidate an API token](/api/reference/endpoints/api-tokens/invalidate-api-token-v-2026-11-05): Endpoint is now available, which allows to invalidate an API token that should no longer be used.

* **Api Tokens** → [List API tokens](/api/reference/endpoints/api-tokens/list-api-tokens-v-2026-11-05): Endpoint is now available, which allows to list your organization's tokens and your own personal tokens, newest first, without their secret values.

## Changed

* **Ats** → [Retrieve the ATS activity timeline](/api/reference/endpoints/ats/retrieve-a-list-of-ats-operation-history-logs-v-2026-10-28): Added `CANDIDATE_FOLLOW_UP_REMINDER` as a valid value for `category` in the response and the `categories` query parameter, and added `CANDIDATE_FOLLOW_UP_REMINDER_CREATED`, `CANDIDATE_FOLLOW_UP_REMINDER_UPDATED`, `CANDIDATE_FOLLOW_UP_REMINDER_COMPLETED`, and `CANDIDATE_FOLLOW_UP_REMINDER_DELETED` as valid values for `operation_type` in the response.

* **Eor** → [Get amendment data points configuration by country](/api/reference/endpoints/eor/get-amendment-data-points-configuration-by-country-v-2026-05-06): Added `HOURLY_RATE` as a valid value for `item` in the response.

* **Eor Amendments** → [Validate amendment data points](/api/reference/endpoints/eor-amendments/validate-e-o-r-amendments): Added `scope` and `job_title` as declared fields in the request body `data` object.

* **People** → [Create a direct employee](/api/reference/endpoints/people/create-a-direct-employee-v-2026-01-01): Added `invitation` in the request that controls whether to send an invitation email to the new hire.

* **Onboarding** → [List onboarding employees](/api/reference/endpoints/onboarding/list-onboarding-employees-v-2026-01-01): Added `banners` to the response (`data[].overview`) that lists all banners for the onboarding; added `HS_OBLIGATIONS_PENDING` as a valid value for `overview.banner.key`; added `SET_UP_HEALTH_SAFETY` as a valid value for `overview.banner.action`.

* **Onboarding** → [Get onboarding details by employee HRIS profile ID](/api/reference/endpoints/onboarding/get-onboarding-details-by-employee-hris-profile-id-v-2026-01-01): Added `banners` array in the response that lists all pending banners for the worker; added `HS_OBLIGATIONS_PENDING` as a valid value for `banner.key`; added `SET_UP_HEALTH_SAFETY` as a valid value for `banner.action`.

* **Onboarding** → [Get onboarding details by onboarding tracker ID](/api/reference/endpoints/onboarding/get-onboarding-details-by-onboarding-tracker-id-v-2026-01-01): Added `banners` array in the response that lists all client-action banners; added `HS_OBLIGATIONS_PENDING` as a valid value for `banner.key` and `SET_UP_HEALTH_SAFETY` as a valid value for `banner.action`.

* **It Assets** → [List IT assets](/api/reference/endpoints/it-assets/list-it-assets-v-2026-01-01): Added `USED_AS_SPARE_PART` as a valid value for `status` in the response.

* **Time Off** → [Get Policies for Organization](/api/reference/endpoints/time-off/get-policies-for-organization-v-2026-09-09): Added `Work away from office` as a valid value for `policy_type` in the request.

* **Time Off** → [List policies](/api/reference/endpoints/time-off/get-time-off-policies): Added `Work away from office` as a valid value for `policy_type_name` in the request.

* **Time Off** → [Get Profile Entitlements](/api/reference/endpoints/time-off/get-time-off-entitlements): Added `Work away from office` as a valid value for `policy_type_name` in the request.

* **Time Off** → [Process time-off requests from an external HRIS](/api/reference/endpoints/time-off/sync-time-off-global-payroll): Added `Work away from office` as a valid value for `policy_type` in the request.

* **Time Off** → [List time-off requests for Organization](/api/reference/endpoints/time-off/list-time-off-requests-for-organization-v-2026-01-01): Added `Work away from office` as a valid value for `policy_type_names` in the request.

* **Time Off** → [List time-off requests](/api/reference/endpoints/time-off/get-time-off-profile): Added `Work away from office` as a valid value for `policy_type_names` in the request.

* **Invoice Adjustments** → [Retrieve invoice adjustment by ID](/api/reference/endpoints/invoice-adjustments/get-invoice-adjustment-by-id): Added `new` as a valid value for `status` in the response, and `gp_client_agreement` as a valid value for `contract.type` in the response.

* **Invoice Adjustments** → [List invoice adjustments](/api/reference/endpoints/invoice-adjustments/get-invoice-adjustments): Added `download_url` to the response `attachment` object that provides a time-limited URL to download the attachment; added `new` as a valid value for `status` in the response and `statuses` query parameter; added `gp_client_agreement` as a valid value for `contract.type` in the response.

## November 4, 2026

## Added

* **Apps** → [Enable an app](/api/reference/endpoints/apps/enable-app-by-id-v-2026-11-04): Endpoint is now available, which allows to enable an integration app so it can obtain tokens again.

* **Apps** → [List apps](/api/reference/endpoints/apps/list-apps-v-2026-11-04): Endpoint is now available, which allows to list the integration apps that belong to your organization.

* **Apps** → [Retrieve an app](/api/reference/endpoints/apps/get-app-by-id-v-2026-11-04): Endpoint is now available, which allows to retrieve a single integration app that belongs to your organization.

* **Apps** → [Update an app](/api/reference/endpoints/apps/update-app-by-id-v-2026-11-04): Endpoint is now available, which allows to update the name, description, website, or redirect URLs of an integration app.

* **Apps** → [Disable an app](/api/reference/endpoints/apps/disable-app-by-id-v-2026-11-04): Endpoint is now available, which allows to disable an integration app so it can no longer obtain tokens.

* **Immigration** → [Create an immigration case for a contract](/api/reference/endpoints/immigration/create-case-v-2026-11-04): Endpoint is now available, which allows to open an eligibility check or right to work check for the worker of a contract.

## Changed

* **Accounting** → [Retrieve a payment breakdown](/api/reference/endpoints/accounting/retrieve-a-payment-breakdown-v-2026-01-01): Added new valid values for `contract_type` in the response: `hris_direct_contractor`, `office_solutions`, `usp_service_fee`, `ic_contract_fees`, `mobility_subscription_service_fee`, `intercompany`, `deel_card_fee`, `entity_management`, `crypto_payout`, `deel_ai_workforce`, `deel_talent_fee`, `deel_hris`, `deel_compensation`, `contractor_subscription_fee`, `integration_services_fee`, `bundle_commitment_fee`, `wallet_chargeback_recovery_funding_statement`, `deel_workforce_planning_fee`, `fee_merge`, and `payroll_merge`.

* **Forms** → [Fetch multiple EOR Contract forms](/api/reference/endpoints/forms/fetch-multiple-eor-contract-forms-v-2026-01-01): Added `CustomDropdown` and `PresetDropdown` as valid values for `type` in the response.

* **Equity Tokens** → [List equity grants with tax events](/api/reference/endpoints/equity-tokens/list-equity-grants-with-tax-events-v-2026-08-10): Increased the maximum allowed value of `limit` to 200.

## November 3, 2026

## Changed

* **It Products** → [Retrieve a product's catalog details](/api/reference/endpoints/it-products/retrieve-an-it-product-v-2026-09-17): Added `bundle` in the response that identifies which addon type each available addon is, used to submit it in `contract_setting.addons[]` on `POST /rest/it/orders`.

* **It Products** → [Retrieve a product's prices for a delivery country](/api/reference/endpoints/it-products/retrieve-it-product-prices-v-2026-10-28): Added `bundle` in the response that identifies which addon bundle each available addon belongs to, for use as `bundle` in `contract_setting.addons[]` on `POST /rest/it/orders`.

* **Ats** → [Retrieve suggested ATS email templates](/api/reference/endpoints/ats/retrieve-ats-email-template-suggestions-v-2026-10-28): Added `DEFAULT_INTERVIEW_LOCATION_UPDATED_CANDIDATE` as a valid value for `type` in the response.

* **Ats Email Templates** → [Retrieve a list of published ATS email templates](/api/reference/endpoints/ats-email-templates/retrieve-a-list-of-published-ats-email-templates-v-2026-02-11): Added `DEFAULT_INTERVIEW_LOCATION_UPDATED_CANDIDATE` as a valid value for `type` in the request and response.

## November 2, 2026

## Added

* **Ats** → [Delete an email draft to a candidate](/api/reference/endpoints/ats/delete-candidate-email-draft-v-2026-11-02): Endpoint is now available, which allows to delete an unsent email draft addressed to a candidate.

* **Ats** → [List available slots for an interview](/api/reference/endpoints/ats/list-available-interview-slots-v-2026-11-02): Endpoint is now available, which allows to list the available time slots when all interviewers of an interview are free, so a time can be proposed to the candidate before booking.

* **Ats** → [Create a stage move for an application](/api/reference/endpoints/ats/move-application-between-active-interview-plan-stages-v-2026-11-02): Endpoint is now available, which allows to advance or move back a candidate between the lead and active stages of a job's interview plan.

* **Ats** → [List email drafts to a candidate as they would be sent](/api/reference/endpoints/ats/list-candidate-email-draft-previews-v-2026-11-02): Endpoint is now available, which allows to list email drafts to a candidate as they would be sent.

* **Ats** → [Set the hiring team role of a person on a job](/api/reference/endpoints/ats/set-job-hiring-team-member-role-v-2026-11-02): Endpoint is now available, which allows to add a person to a job's hiring team, change their role, or remove them.

* **Ats** → [Create an email draft to a candidate](/api/reference/endpoints/ats/create-candidate-email-draft-v-2026-11-02): Endpoint is now available, which allows to save an email to a candidate as a draft without sending it, returning it rendered as it would be sent.

* **Ats** → [Set the time of an interview](/api/reference/endpoints/ats/schedule-or-reschedule-interview-v-2026-11-02): Endpoint is now available, which allows to book an interview at a confirmed time or move an already booked interview to a new time.

* **Ats** → [List the private note of a job](/api/reference/endpoints/ats/list-job-private-notes-v-2026-11-02): Endpoint is now available, which allows to read the private note of a job.

* **Ats** → [Send an email draft to a candidate](/api/reference/endpoints/ats/send-candidate-email-draft-v-2026-11-02): Endpoint is now available, which allows to send an email draft to a candidate.

* **Ats** → [List the offer letter templates of the organization](/api/reference/endpoints/ats/list-offer-letter-templates-v-2026-11-02): Endpoint is now available, which allows to list the offer letter templates the organization can attach to an offer.

* **Ats** → [List the active approval options for offers](/api/reference/endpoints/ats/list-active-offer-approval-policies-v-2026-11-02): Endpoint is now available, which allows to list the approval policies or approval rules an offer can go through.

* **Ats** → [Create an offer for an application in the offer stage](/api/reference/endpoints/ats/create-offer-for-application-in-offer-stage-v-2026-11-02): Endpoint is now available, which allows to create an offer for a candidate once their application has reached the offer stage and route it to internal approval when applicable.

* **Ats** → [Validate offer terms for an application](/api/reference/endpoints/ats/validate-offer-terms-for-application-v-2026-11-02): Endpoint is now available, which allows to validate proposed offer terms against hiring rules before creating an offer.

* **Ats** → [Add content to the private note of a job](/api/reference/endpoints/ats/add-to-job-private-note-v-2026-11-02): Endpoint is now available, which allows to add content to the private note of a job.

* **Ats** → [Retrieve the organization's offer settings](/api/reference/endpoints/ats/retrieve-organization-offer-settings-v-2026-11-02): Endpoint is now available, which allows to retrieve the organization's offer settings, including whether offer approval is required and the default approval rule.

* **Organizations** → [Submit terms and conditions acceptance](/api/reference/endpoints/organizations/accept-organization-terms-and-conditions-v-2026-11-02): Endpoint is now available, which allows to accept Deel's terms and conditions for the organization, including legal agreements and the platform terms of service.

## Changed

* **Organization Structure** → [Get Organization Structure](/api/reference/endpoints/organization-structure/get-organization-structures): Added `editable` to the response that indicates whether the caller can edit the Org Structure.

## October 30, 2026

## Added

* **Organizations** → [Retrieve terms and conditions acceptance](/api/reference/endpoints/organizations/retrieve-organization-terms-and-conditions-v-2026-10-30): Endpoint is now available, which allows to retrieve the terms and conditions acceptance status for the organization, including legal agreements and platform terms of service.

* **Global Payroll** → [Retrieve contract creation schema](/api/reference/endpoints/global-payroll/retrieve-gp-contract-creation-schema-v-2026-10-30): Endpoint is now available, which allows to retrieve the list of fields required to create a Global Payroll contract, including field types, required status, permitted values, and validation constraints.

## Changed

* **Organization Structure** → [Update an existing HRIS Org Structure](/api/reference/endpoints/organization-structure/update-organization-structure): Added explicit properties `id`, `name`, `children`, and `externalId` to team items in the `teams` request field, defining the accepted structure for creating, updating, and deleting teams.

* **Invoice Adjustments** → [Create an invoice adjustment](/api/reference/endpoints/invoice-adjustments/create-invoice-adjustment): Added `new` as a valid value for `status` in the response.

* **Immigration** → [Create an immigration case](/api/reference/endpoints/immigration/create-client-case): Added new valid values for `purpose` in the `travel_information` request body, including `EXT_BUS_MEET_NO_WORK`, `EXT_BUS_DELIVER_SERVICE`, `CONF_WORKSHOP_PAID`, `TECH_SUPERVISION`, `MARITIME_CREW`, and 13 others.

* **Time Tracking Shifts** → [Get Shift details](/api/reference/endpoints/time-tracking-shifts/get-time-tracking-shift-by-external-id): Lowered the minimum value of `time_amount` to 0.

* **Gp Hiring** → [Create a Global Payroll (GP) contract](/api/reference/endpoints/gp-hiring/create-g-p-contract): Added `payroll_group_id` in the request that specifies the payroll group the employee will be assigned to.

* **Contractor Hiring** → [Create contract signature](/api/reference/endpoints/contractor-hiring/create-contract-signature): `contract_template_id` now accepts `null`.

## October 29, 2026

## Added

* **Talent** → [List candidates](/api/reference/endpoints/talent/list-candidates-v-2026-10-29): Endpoint is now available, which allows to list candidates submitted to Deel Talent job requests of the organization, with their pipeline status and talent partner.

* **Logs** → [List request logs](/api/reference/endpoints/logs/list-request-logs-v-2026-10-29): Endpoint is now available, which allows to retrieve the public API request logs made by the organization, including gateway-rejected calls, with filters for request ID, route, path, method, and status.

* **Logs** → [List token activity](/api/reference/endpoints/logs/list-token-activity-v-2026-10-29): Endpoint is now available, which allows to list token activity showing calls, errors, last use, and a per-day breakdown per token within the organization.

* **Logs** → [Retrieve a request log](/api/reference/endpoints/logs/retrieve-request-log-v-2026-10-29): Endpoint is now available, which allows to retrieve a single API request log by its x-request-id, including the gateway outcome explanation and troubleshooting hint.

* **Logs** → [Retrieve request logs summary](/api/reference/endpoints/logs/retrieve-request-logs-summary-v-2026-10-29): Endpoint is now available, which allows to retrieve request counts per status class, the number of rate-limited requests, p50/p95 latency, and the number of active tokens for a time window of up to 15 days.

## Changed

* **Legal Entities** → [Submit KYB information for a legal entity](/api/reference/endpoints/legal-entities/submit-legal-entity-kyb-v-2026-10-12): Added `questionnaire` to the response that provides the industry questionnaire template, its questions, and saved answers; and added `QUESTIONNAIRE` as a valid value for `requirements[].category`.

* **It Agreements** → [Retrieve an agreement](/api/reference/endpoints/it-agreements/retrieve-an-it-agreement-v-2026-09-15): Added `ARABIC`, `BELARUSIAN_JCUKEN`, `BRAZILIAN_PORTUGUESE_QWERTY`, `BULGARIAN`, `COLEMAK`, `CROATIAN_QWERTZ`, `DVORAK_ENGLISH`, `DVORAK_FRENCH`, `FRENCH_BEPO`, `GREEK`, `HEBREW`, `HUNGARIAN_QWERTZ`, `POLISH_QWERTY`, `RUSSIAN_JCUKEN`, `SERBIAN_CYRILLIC`, `SERBIAN_LATIN_QWERTZ`, `SLOVAK_QWERTZ`, `THAI`, `UKRAINIAN_JCUKEN`, `VIETNAMESE`, and `WORKMAN` as valid values for `keyboard_layout` in the response.

* **It Agreements** → [List agreements](/api/reference/endpoints/it-agreements/list-it-agreements-v-2026-09-15): Added `ARABIC`, `BELARUSIAN_JCUKEN`, `BRAZILIAN_PORTUGUESE_QWERTY`, `BULGARIAN`, `COLEMAK`, `CROATIAN_QWERTZ`, `DVORAK_ENGLISH`, `DVORAK_FRENCH`, `FRENCH_BEPO`, `GREEK`, `HEBREW`, `HUNGARIAN_QWERTZ`, `POLISH_QWERTY`, `RUSSIAN_JCUKEN`, `SERBIAN_CYRILLIC`, `SERBIAN_LATIN_QWERTZ`, `SLOVAK_QWERTZ`, `THAI`, `UKRAINIAN_JCUKEN`, `VIETNAMESE`, and `WORKMAN` as valid values for `keyboard_layout` in the response.

* **It Assets** → [List IT assets](/api/reference/endpoints/it-assets/list-it-assets-v-2026-01-01): Added `ARABIC`, `BELARUSIAN_JCUKEN`, `BRAZILIAN_PORTUGUESE_QWERTY`, `BULGARIAN`, `COLEMAK`, `CROATIAN_QWERTZ`, `DVORAK_ENGLISH`, `DVORAK_FRENCH`, `FRENCH_BEPO`, `GREEK`, `HEBREW`, `HUNGARIAN_QWERTZ`, `POLISH_QWERTY`, `RUSSIAN_JCUKEN`, `SERBIAN_CYRILLIC`, `SERBIAN_LATIN_QWERTZ`, `SLOVAK_QWERTZ`, `THAI`, `UKRAINIAN_JCUKEN`, `VIETNAMESE`, and `WORKMAN` as valid values for `keyboard_layout` in the response and for the `keyboard_layouts` filter parameter.

* **It Agreements** → [Assign agreement to a new worker](/api/reference/endpoints/it-agreements/reassign-it-agreement-v-2026-09-17): Added `ARABIC`, `BELARUSIAN_JCUKEN`, `BRAZILIAN_PORTUGUESE_QWERTY`, `BULGARIAN`, `COLEMAK`, `CROATIAN_QWERTZ`, `DVORAK_ENGLISH`, `DVORAK_FRENCH`, `FRENCH_BEPO`, `GREEK`, `HEBREW`, `HUNGARIAN_QWERTZ`, `POLISH_QWERTY`, `RUSSIAN_JCUKEN`, `SERBIAN_CYRILLIC`, `SERBIAN_LATIN_QWERTZ`, `SLOVAK_QWERTZ`, `THAI`, `UKRAINIAN_JCUKEN`, `VIETNAMESE`, and `WORKMAN` as valid values for `keyboard_layout` in the response.

* **It Products** → [Retrieve a product's catalog details](/api/reference/endpoints/it-products/retrieve-an-it-product-v-2026-09-17): Added `ARABIC`, `BELARUSIAN_JCUKEN`, `BRAZILIAN_PORTUGUESE_QWERTY`, `BULGARIAN`, `COLEMAK`, `CROATIAN_QWERTZ`, `DVORAK_ENGLISH`, `DVORAK_FRENCH`, `FRENCH_BEPO`, `GREEK`, `HEBREW`, `HUNGARIAN_QWERTZ`, `POLISH_QWERTY`, `RUSSIAN_JCUKEN`, `SERBIAN_CYRILLIC`, `SERBIAN_LATIN_QWERTZ`, `SLOVAK_QWERTZ`, `THAI`, `UKRAINIAN_JCUKEN`, `VIETNAMESE`, and `WORKMAN` as valid values for `keyboard_layout` in the response.

* **It Products** → [List products in the catalog](/api/reference/endpoints/it-products/list-it-products-v-2026-09-17): Added `ARABIC`, `BELARUSIAN_JCUKEN`, `BRAZILIAN_PORTUGUESE_QWERTY`, `BULGARIAN`, `COLEMAK`, `CROATIAN_QWERTZ`, `DVORAK_ENGLISH`, `DVORAK_FRENCH`, `FRENCH_BEPO`, `GREEK`, `HEBREW`, `HUNGARIAN_QWERTZ`, `POLISH_QWERTY`, `RUSSIAN_JCUKEN`, `SERBIAN_CYRILLIC`, `SERBIAN_LATIN_QWERTZ`, `SLOVAK_QWERTZ`, `THAI`, `UKRAINIAN_JCUKEN`, `VIETNAMESE`, and `WORKMAN` as valid values for `keyboard_layouts` in the request.

## October 28, 2026

## Added

* **Webhooks** → [Send a simulated webhook event](/api/reference/endpoints/webhooks/simulate-webhook-by-id-v-2026-10-28): Endpoint is now available, which allows to send a simulated event payload to a webhook subscription to test it without waiting for a real event.

* **Ats** → [Retrieve ATS email template tokens](/api/reference/endpoints/ats/retrieve-a-list-of-ats-email-template-tokens-v-2026-10-28): Endpoint is now available, which allows to list the placeholder tokens that ATS email templates can contain.

* **Ats** → [Retrieve suggested ATS email templates](/api/reference/endpoints/ats/retrieve-ats-email-template-suggestions-v-2026-10-28): Endpoint is now available, which allows to retrieve suggested ATS email templates for the authenticated user, including frequently used templates and stage-specific suggestions.

* **Ats** → [Retrieve current application counts per interview plan stage](/api/reference/endpoints/ats/retrieve-ats-insights-stage-counts-v-2026-10-28): Endpoint is now available, which allows to retrieve current application counts per interview plan stage.

* **Ats** → [Retrieve average time per interview plan stage](/api/reference/endpoints/ats/retrieve-ats-insights-stage-durations-v-2026-10-28): Endpoint is now available, which allows to retrieve the average time applications spent in each interview plan stage across selected jobs.

* **Ats** → [Retrieve ATS job](/api/reference/endpoints/ats/retrieve-ats-job-v-2026-10-28): Endpoint is now available, which allows to retrieve a single ATS job by its ID, including its current status, closure reason, approval request, and interview plan stages.

* **Ats** → [Generate a preview of an ATS email template](/api/reference/endpoints/ats/retrieve-ats-email-template-preview-v-2026-10-28): Endpoint is now available, which allows to render a published email template for one application, filling its placeholders with the candidate's, job's and sender's data, and report any placeholder that could not be filled.

* **Ats** → [Retrieve ATS offer](/api/reference/endpoints/ats/retrieve-ats-offer-v-2026-10-28): Endpoint is now available, which allows to retrieve a single ATS offer by ID, including its status, approval request, and associated application.

* **Ats** → [Retrieve the ATS activity timeline](/api/reference/endpoints/ats/retrieve-a-list-of-ats-operation-history-logs-v-2026-10-28): Endpoint is now available, which allows to retrieve the history of changes made to candidates, applications, and jobs, including who changed what and when.

* **It Products** → [Retrieve a product's prices for a delivery country](/api/reference/endpoints/it-products/retrieve-it-product-prices-v-2026-10-28): Endpoint is now available, which allows to retrieve a product's prices for a delivery country.

* **People** → [List worker addresses](/api/reference/endpoints/people/get-worker-addresses-v-2026-10-28): Endpoint is now available, which allows to retrieve a worker's current home, postal, and contract addresses, with optional support for future-dated (scheduled) versions.

* **People** → [Update worker address by type](/api/reference/endpoints/people/update-worker-address-by-type-v-2026-10-28): Endpoint is now available, which allows to partially update a worker's home or postal address by type.

* **Talent** → [List job requests](/api/reference/endpoints/talent/list-talent-requisitions-v-2026-10-28): Endpoint is now available, which allows to retrieve a cursor-paginated list of Deel Talent job requests for the organization.

## Changed

* **Payments** → [Retrieve a payment statement](/api/reference/endpoints/payments/get-payment-statement-v-2026-07-23): Added `email`, `network`, `deposit_uri`, and `deposit_address` to `beneficiary_details` in the response; `payment_currency` and `beneficiary_details.currency` now accept `USDC` and `USDT` in addition to three-letter ISO 4217 codes.

* **Payments** → [Create and pay a payment statement](/api/reference/endpoints/payments/create-payment-statement-v-2026-07-23): Added optional `method` and `network` fields to the request `payment` object to support `STABLECOIN_TRANSFER` payments in `USDC` or `USDT`; added `email`, `network`, `deposit_uri`, and `deposit_address` to `beneficiary_details` in the response; `payment_currency` and `beneficiary_details.currency` now accept `USDC` and `USDT` in addition to three-letter ISO 4217 codes.

* **Webhooks** → [List webhooks](/api/reference/endpoints/webhooks/get-webhooks): Added optional `limit`, `cursor`, `status`, `hidden`, `search`, `_order`, and `include` query parameters for pagination and filtering; added `cursor` to the response for next-page navigation; added optional `stats` field to each webhook item in the response with delivery health metrics.

* **Ats Applications** → [Retrieve a list of ATS applications](/api/reference/endpoints/ats-applications/retrieve-a-list-of-ats-applications-v-2026-01-01): Added optional `job_ids`, `hiring_member_hou_ids`, and `hiring_member_role_ids` query parameters to filter applications by a set of job IDs, by HRIS organization users on a job's hiring team, and by those members' roles respectively.

* **Ats Applications** → [Assign application to interview plan stage](/api/reference/endpoints/ats-applications/associate-application-with-an-interview-plan-stage-v-2026-01-01): Added optional `expected_current_interview_plan_stage_id` in the request body that acts as a precondition; if the application's current stage does not match, nothing changes and a 409 is returned.

* **Ats** → [Update ATS Candidate](/api/reference/endpoints/ats/update-ats-candidate-v-2026-09-16): Added `expected_updated_at` in the request that serves as an optimistic-locking precondition: if the candidate has been modified since the value was last read, nothing is updated and a 409 is returned.

* **Ats** → [Update ATS Application](/api/reference/endpoints/ats/update-ats-application-v-2026-09-17): Added `expected_updated_at` in the request body that serves as an optional precondition; if the application has been updated since the supplied timestamp, nothing is changed and a 409 `precondition_failed` is returned.

* **Ats Candidates** → [Set the tags of a candidate](/api/reference/endpoints/ats-candidates/create-candidate-tags-v-2026-02-27): Added optional `expected_tag_ids` in the request body that serves as a precondition; if the candidate's current tags do not match, nothing is replaced and a 409 is returned.

* **Ats Candidates** → [Retrieve paginated list of ATS Candidates](/api/reference/endpoints/ats-candidates/retrieve-paginated-list-of-ats-candidates-v-2026-01-01): Added `city` and `country_code` to the response; added `source_slugs`, `team_ids`, and `locations` as optional query parameters.

* **Ats Hiring Members** → [Retrieve ATS hiring members](/api/reference/endpoints/ats-hiring-members/retrieve-ats-hiring-members): Added `job_id`, `role_id`, and `role_name` to each member in the response; added optional `job_id` query parameter to filter results to a specific job's hiring team.

* **Ats Offers** → [Retrieve a list of ATS offers](/api/reference/endpoints/ats-offers/retrieve-a-list-of-ats-offers-v-2026-01-01): Added `is_required` in the response that indicates whether the custom field is required.

* **Ats Email Templates** → [Retrieve a list of published ATS email templates](/api/reference/endpoints/ats-email-templates/retrieve-a-list-of-published-ats-email-templates-v-2026-02-11): Added `body`, `subject`, and `type` fields to the response; added optional `type` query parameter to filter results by template type.

* **Ats Jobs** → [Retrieve a list of ATS jobs](/api/reference/endpoints/ats-jobs/retrieve-a-list-of-ats-jobs): Added `opened_at`, `closed_at`, and `active_pause_period` to the response; added optional `opened_after`, `opened_before`, `closed_after`, `closed_before`, and `hiring_member_hou_ids` query parameters.

* **Ats** → [List job openings](/api/reference/endpoints/ats/list-openings-v-2026-06-15): Added `filled_at`, `opened_at`, and `recruiter_hris_organization_user_id` to the response; added optional `recruiter_hris_organization_user_ids` and `created_by_hris_organization_user_ids` query parameters.

* **It Assets** → [List IT assets](/api/reference/endpoints/it-assets/list-it-assets-v-2026-01-01): Added `keyboard_layout` and `operating_system` to the response; added optional `keyboard_layouts`, `operating_systems`, and `search` query parameters for filtering by keyboard layout, operating system, and searching by product name or brand.

* **Workers** → [Retrieve one compliance document of a worker contract](/api/reference/endpoints/workers/get-worker-contract-compliance-document-v-2026-08-25): Added `review` in the response that provides the Deel review outcome for the submission, including `status` and `rejection_message`.

* **Eor Hiring** → [Retrieve detailed hiring guide for a country](/api/reference/endpoints/eor-hiring/get-e-o-r-hiring-guide-by-country): Added optional `include_usd_values` query parameter and response fields `salary.min_usd` and `salary.max_usd` that return the salary range converted to USD at the mid-market exchange rate.

* **Workers** → [List compliance documents of a worker contract](/api/reference/endpoints/workers/list-worker-contract-compliance-documents-v-2026-08-25): Added `review` in the response that provides the outcome of the Deel review of the submission.

* **Legal Entities** → [Retrieve the KYB state of a legal entity](/api/reference/endpoints/legal-entities/get-legal-entity-kyb-state-v-2026-10-01): Added `questionnaire` in the response that exposes the applicable industry questionnaire (template, questions, and saved answers). Added `QUESTIONNAIRE` as a valid value for `category` in `requirements` in the response.

* **Legal Entities** → [Upload a KYB document for a legal entity](/api/reference/endpoints/legal-entities/upload-legal-entity-kyb-document-v-2026-10-02): Added `QUESTIONNAIRE_DOCUMENT` as a valid value for `document_type` in the request and response.

* **Legal Entities** → [Submit EDD request answers for a legal entity](/api/reference/endpoints/legal-entities/answer-legal-entity-kyb-edd-v-2026-10-16): Added `questionnaire` to the response containing the industry questionnaire that applies to the legal entity; added `QUESTIONNAIRE` as a valid value for `requirements[].category` in the response.

## October 27, 2026

## Added

* **Ats** → [Get interview notes](/api/reference/endpoints/ats/get-interview-notes-v-2026-10-27): Endpoint is now available, which allows to retrieve AI-generated notes (summary, key points, and outline) produced by Interview Assistant for an interview.

## Changed

* **Contractor Hiring** → [Retrieve contractor payment dates](/api/reference/endpoints/contractor-hiring/get-contract-payment-cycles): Added `awaiting_invoice_submission` and `completed` as valid values for `status` in the response.

* **Tasks** → [Create a new task](/api/reference/endpoints/tasks/create-contract-task): Added optional `group_key` and `hourly_report_preset_id` request fields; added `new` as a valid value for `status` in the response.

* **Contracts** → [List of contracts](/api/reference/endpoints/contracts/get-contracts): Added `employment_details` in the response that provides employment-related details for the contract, including non-compete and non-solicitation clause states.

* **On Demand Payroll** → [Retrieve current On-Demand Payroll](/api/reference/endpoints/on-demand-payroll/retrieve-current-on-demand-payroll-v-2026-07-16): Added `id` to each entry in the response that identifies the On-Demand Payroll entry; added `source_service_entry_id` in `metadata` that provides the public ID of the entry in the originating service.

* **On Demand Payroll** → [Create On-Demand Payroll](/api/reference/endpoints/on-demand-payroll/create-on-demand-payroll-v-2026-07-28): Added `id` to each entry in the response that identifies the On-Demand Payroll entry; added `source_service_entry_id` to entry `metadata` that provides the public ID of the entry in the originating service.

* **Accounting** → [Get invoice by id](/api/reference/endpoints/accounting/get-invoice-by-id-v-2026-01-01): Added `contract_id` in the response that provides the unique identifier of the related contract.

* **Ats Applications** → [Retrieve ATS application](/api/reference/endpoints/ats-applications/retrieve-ats-application-v-2026-01-01): Added `source_channel_name`, `source_channel_medium_slug`, and `source_channel_campaign_slug` to the response, providing the source channel name, placement medium, and hiring campaign for the application's traffic source.

* **Ats Applications** → [Retrieve a list of ATS applications](/api/reference/endpoints/ats-applications/retrieve-a-list-of-ats-applications-v-2026-01-01): Added `source_channel_name`, `source_channel_medium_slug`, and `source_channel_campaign_slug` to the response, providing the source channel name, placement kind, and hiring campaign for the application's referral source.

## October 23, 2026

## Added

* **Ats** → [List feedbacks for an application](/api/reference/endpoints/ats/list-application-feedbacks-v-2026-10-23): Endpoint is now available, which allows to list feedbacks submitted for activities on a given application, including reviewer profiles, overall recommendations, and form responses.

## Changed

* **Accounting** → [Retrieve payment receipts](/api/reference/endpoints/accounting/retrieve-payment-receipts-v-2027-01-01): Added `dbc_credits` as a new valid value for the `payment_method.type` field in the response.

## October 21, 2026

## Changed

* **Eor Contract** → [Retrieve EOR Contract Details](/api/reference/endpoints/eor-contract/get-e-o-r-contract-details): Added `work_arrangement_type` field to the response, extended `payroll_type` enum with `BIWEEKLY`, `WEEKLY`, `FOUR_WEEKLY`, and `QUARTERLY` values, and added `COMPLIANCE_RESTRICTIONS` to the `rejection_reason` enum.

* **Forms** → [Fetch multiple EOR Contract forms](/api/reference/endpoints/forms/fetch-multiple-eor-contract-forms-v-2026-01-01): Added `Nested` as a new supported value for the `type` field in form questions.

## October 20, 2026

## Changed

* **Eor Benefits** → [Retrieve Benefits for EOR Contract](/api/reference/endpoints/eor-benefits/get-e-o-r-benefits-by-contract-id): Added `worker_benefits_link` in the response that provides a short-lived URL for worker benefits enrollment and management.

_Showing the 20 most recent of 96 entries. Append `/llms.txt` to the changelog URL for the complete index._